Mantis

View Issue Details Jump to Notes ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027748RunnerFunctionsPublic2017-09-08 15:422017-10-06 16:02
ReporterStewart Bishop 
Assigned ToSteven Campbell 
PriorityVery HighSeverityA - Crash/HangReproducibility100%
StatusClosedResolutionFixed 
PlatformOSOS Version
Summary0027748: Functions: [GMS2] Calling iap_activate crashes the runner in Android games without a workaround
DescriptionWhen I try to initialize In App Purchases with the function "iap_activate()", my game crashes ("Game X has stopped"). The IDE also logs lots of Java exceptions. All the details of the problem I encountered are here:
https://forum.yoyogames.com/index.php?threads/in-app-purchase-crash.23507/ [^]

To explain the code logic, inside the room "rooPreMenu" I call "lm_iap_product_add()" to add products, then "lm_iap_product_end()" calls the GML "iap_activate()" function. Then, the object "_lm_controller" does the async stuff.

Steps To Reproduce1) Import project
2) Run it on Android
3) See that it crashes
4) Apply the workaround posted in the GMC thread
5) Run your game again
6) See that it now works
1.4 Version
2.x Runtime Version2.1.0.136
2.x Runtime Version Verified In
Attached Files

- Relationships

-  Notes
(0055636)
Steven Campbell (Developer)
2017-09-22 15:43
edited on: 2017-09-22 15:45

Fixed in GitLab Merge Request 186
Git Id: 73122055e2f054a588fca800a6910222d717b901

Cherry-Picked to Green Id: 841379df8e2657a92c23a97b71b6f5f8953560c1

(0056019)
Daniel Cleaton (Administrator)
2017-10-06 16:02

The change here is simply to always write out the licensing key if something has been filled-in for that field in Game Options. Was released in 2.1.1, so Closing.


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker